Subject: UKTeX Digest V94 #32
From: [email-masked]
To: UKTeX Distribution: ;
Date: Fri, 26 Aug 1994 15:45:44 +0100

UKTeX Digest    Friday, 26 Aug 1994    Volume 94 : Issue 32

Today's Topics:
                       Problems with AMS-Latex
                     Re: Problems with AMS-Latex
                     Re: Problems with AMS-Latex
                            psboxit macros
         EuroTeX '94; only two weeks remain for registration

Administrivia:
    Moderators:     Peter Abbott (UK TeX Users Group) and
                    David Osborne (University of Nottingham)
    Contributions:  [email-masked]
    Subscription and unsubscription requests: [email-masked]
    (message body = "subscribe uktex" or "unsubscribe uktex", [no quotes])

----------------------------------------------------------------------

Date:    Fri, 19 Aug 1994 23:13:54 -0000
From:    [email-masked] (Paul Brett)
Subject: Problems with AMS-Latex

This is probably a daft question (I'm still new at LaTex), but here goes:

I am running AMS-Latex, and wish to mark sections of a document only to
be printed in the draft versions.  I had therefore placed the following
environment definitions:

\newenvironment{Draft}{ \begin{quotation} \em}{ \end{quotation} }
%\newenvironment{Draft}{ \begin{comment} }{ \end{comment} }

Then any sections which should only be printed in the draft could be
marked by \begin{Draft} ... \end{Draft}.

However, when I switch to 'final copy' mode (by moving the comment), I 
get an error message:

     Runaway argument?
     ! File ended while scanning use of \next.
     <inserted text> 
                     \par 
     ...
     l.34 \input{p6}
     
Any suggestions as to what I am doing wrong?
                                   
- --
Paul Brett                                  EMail : [email-masked]
London, UK                                  Voice : 081 810 7587
                                            PGP2.6 key available

------------------------------

Date:    19 Aug 1994 23:59:33 +0000
From:    [email-masked] (Robin Fairbairns)
Subject: Re: Problems with AMS-Latex

In article <[email-masked]>,
Paul Brett <[email-masked]> wrote:
>This is probably a daft question (I'm still new at LaTex), but here goes:
>
>I am running AMS-Latex, and wish to mark sections of a document only to
>be printed in the draft versions.  I had therefore placed the following
>environment definitions:
>
>\newenvironment{Draft}{ \begin{quotation} \em}{ \end{quotation} }
>%\newenvironment{Draft}{ \begin{comment} }{ \end{comment} }
>
>Then any sections which should only be printed in the draft could be
>marked by \begin{Draft} ... \end{Draft}.
>
>However, when I switch to 'final copy' mode (by moving the comment), I 
>get an error message:
>
>     Runaway argument?
>     ! File ended while scanning use of \next.
>[...]

I don't use AMSLaTeX, and have never examined its comment environment,
but the chances are that it's a verbatim-type thing.  This means, in
effect, that you're putting a verbatim environment in the argument of
a macro (it's not as simple as that, but the effect is the same); TeX
never finds the \end{comment} and ends up trying to gobble every last
bit of your file as comment.

Having told you what's wrong, I'm afraid I can't offer an alternative.
You'll likely need some internals sort of command, and (as I said) I
don't know AMSLaTeX.
- --
Robin (Campaign for the Third Programme) Fairbairns  [email-masked]
U of Cambridge Computer Lab, Pembroke St, Cambridge  CB2 3QG, UK
Private page: http://www.cl.cam.ac.uk/users/rf/robin.html

------------------------------

Date:    Sat, 20 Aug 1994 10:17:57 -0000
From:    [email-masked] (Paul Brett)
Subject: Re: Problems with AMS-Latex

Thanks for all your help.  The final solution I found was simply to use
one of the following lines:

%\newenvironment{Draft}{ \begin{quotation} \em}{ \end{quotation} }
\let\Draft=\comment \let\endDraft=\endcomment

Paul Brett

------------------------------

Date:    Fri, 26 Aug 1994 08:20:23 -0000
From:    [email-masked] (Joop Jansen)
Subject: psboxit macros

Hello,

I read in the LaTeX companion that there should exist a macro package
psboxit which allows you to print text on a grey background. I have not been
able to find it however. Could anyone tell where it is?

Best regards Joop Jansen
- -- 
Entropic Research Laboratories, Inc
Sheraton House
Castle Park
Cambridge CB3 0AX, UK
E-mail: [email-masked]
Tel: +44-223-302651
Fax: +44-223-324560

------------------------------

Date:    Tue, 23 Aug 1994 11:40:07 -0000
From:    [email-masked]
Subject: EuroTeX '94; only two weeks remain for registration

=======================================================
EuroTeX '94 * EuroTeX '94 * EuroTeX '94 * EuroTeX '94  
=======================================================

If you would like to participate in the most exciting
TeX users' meeting of 1994---Eurotex '94 in Gda\'nsk---
then please don't forget that there are only two weeks
left in which to enroll.

The conference programme includes:

 -- Michel Goossens,
    Simple colour design, and colour in LaTeX-2e

 -- Bogus\l{}aw Jackowski and Marek Ry\'cko,
    Labyrinth of METAFONT paths in outline

 -- Kees van der Laan,
    BLUe's format: back to basics

 -- Klaus Lagally,
    Bi-directional line breaking with TeX macros

 -- Bernd Raichle,
    Sorting in TeX's mouth

 -- Laurent Siebenmann,
    Atomic fonts and elctronic archiving of TeX documents

- --  Laurent Siebenmann,
    Occam's razor and macro management

 -- Petr Sojka and Pavel \v Seve\v cek,
    Hyphenation in TeX: Quo vadis?

 -- Philip Taylor,
    Defensive programing in TeX: Towards a better class of macro

 -- Andrey V. Astrelin,
    Graphics in TeX

 -- Vladimir Batagelj,
    Combining TeX and PostScript

 -- Janusz Bie\'n,
    Polish texts in multilingual environments

 -- Lutz Birkhahn,
    Tdb: An X11 TeX Debugger

 -- Michel Goossens,
    Real life book production: lessons learned from "The LaTeX Companion"

 -- Karel Horak,
    Printing big MetaFont pictures in an MS-DOS environment

 -- Olga Lapko,
    MAKEFONT as part of CyrTug/emTeX package.

 -- Marion Neubauer,
    WORD/WordPerfect to LaTeX conversion

 -- Eric Picheral,
    Building and maintaining the Gutenberg archive

 -- Serguei A. Strelkov,
    Development and standardisation of the Russian TeX
    version CyrTUG/emTeX

 -- Johannes Braams,                               
    Document classes and packages for LaTeX-2e     

 -- Erik Frambach and Wietse Dol,
    4TeX: A workbench for MS-DOS PCs

 -- Dag Langmuhr,
    Creating document styles for LaTeX-2e

 -- J\"org Knappen:                                
    Towards a 256-character IPA font

 -- Piotr Pianowski,
    From PostScript to MetaFont and back

 -- Friedhelm Sowa,
    Printing colour pictures

 -- Andrey F. Slepukhin,
    A package for Church Slavonic typesetting

 -- Philip Taylor,
    e-TeX & NTS: a progress report

 -- Ji\v r\'\i{} Zlatu\v ska,
    Surviving in a multilingual world with multiple font encodings

    For further details please contact: [email-masked], or get
    via ftp from halina.univ.gda.pl:/gust/eurotex   Programme and
    tutorial information will be found in prog.txt, booking form in bform.txt 
    and finally some advice on how to get to Gda\'nsk in howtoget.txt    

Conference organizers

W{\l}odek Bzyl,
Tomasz Przechlewski

------------------------------
                                        
                            UK TeX Archive
                         >>>  tex.ac.uk  <<<
         Part of the Comprehensive TeX Archive Network (CTAN)

                          tex.ac.uk -- mail
                           [[email-masked]]

                    ftp.tex.ac.uk -- anonymous ftp
        [username: anonymous, password: <your-e-mail-address>]

                  gopher.tex.ac.uk -- Gopher access

                www.tex.ac.uk -- World-Wide Web access
                [URL http://www.tex.ac.uk/tex-archive]

                     nfs.tex.ac.uk -- NFS access
               [nfs.tex.ac.uk:/public/ctan/tex-archive]

\section Files of Interest

    tex-archive/00Contents
    tex-archive/CTAN.sites
    tex-archive/FILES.bydate
    tex-archive/FILES.byname
    tex-archive/FILES.bysize
    tex-archive/MAP
    tex-archive/README.archive-features
    tex-archive/README.site-commands
    tex-archive/README.uploads

\section Digests

    This year's UKTeX back issues are stored in the archive in directory
      tex-archive/digests/uktex/94
    This year's TeXhax back issues are stored in the archive in directory
      tex-archive/digests/texhax/94
      Latest TeXhax: V94 #07

\section Media Distributions
    Postal addresses are given below.

\subsection Washington Unix TeX distribution tape
    Our latest copy of May/June 1991 contains:
    TeX 3.14, LaTeX 2.09, Metafont 2.7, plus many utilities
    suitable for Unix 4.2/4.3BSD & System V
    tar format, 1 file (36Mb)

    Send One Quarter-Inch Cartridge, QIC-120 or QIC-150 format
    (DC600A or DC6150) with envelope AND stamps for return
    postage to David Osborne (address below); regret that due to currency
    exchange difficulties, this service is offered only within the UK.

\section TeX Implementations for Small Computers

\subsection PC and Mac disks

    From January 1994 the UK TeX Users' Group is distributing an
    emTeX kit for PCs, and an OzTeX kit for Macintosh. The cost
    covers copying and postage costs, and the shareware fee for
    OzTeX.  Each set costs \pounds30, and is available from
    Peter Abbott, 1 Eymore Close, Selly Oak, Birmingham B29 4LB.
    Cheques must be payable to `UKTUG'. Please note that this
    service **is available to UKTUG members only.**

    Each set comes with an installation guide, and (at least)
    full TeX and Metafont, a previewer, a PostScript driver, and
    CM fonts. Two update disks a year will be sent out
    automatically, with the current version of LaTeXe, and other
    goodies. A subscription service will be available for
    subsequent years. In addition, subscribers can request up to
    3 disks a year with any material from the CTAN archives, but
    this will be supplied `as is', without instructions.

    OzTeX and emTeX are also available on disk from TeX Users Group;
    mail TUG for details.

\subsection TeX for the Atari ST

    Enquiries for TeX for the Atari ST etc. can be directed to:
    The Fast Club, 7 Musters Road, Nottingham NG2 7PP. Phone
    0602 455250, fax 0602 455305. They also supply a variety of
    TeX-related software in Atari format.

    Enquiries for disks etc. can also be directed to:
    The South West Software Library, P.O. Box 562, Wimborne, Dorset BH21 2YD
    Internet: [email-masked]

\section Postage Rates

    Quarter-inch cartridges: UK: GBP 1.00,  Europe: GBP 2.00.

\section Postal Addresses

    Please include SELF-ADDRESSED ADHESIVE LABELS for return postage.

    Peter Abbott
    1 Eymore Close, Selly Oak, Birmingham B29 4LB
    Internet: [email-masked]

    David Osborne
    Cripps Computing Centre, University of Nottingham, Nottingham NG7 2RD
    (for Unix cartridges ONLY -- MUST include stamps for return postage)
    Internet: [email-masked]

    TeX Users Group
    P.O. Box 869, Santa Barbara, CA 93102, USA.
    Internet: [email-masked]
    
\section UK TeX Users Group

    Details available from
    Jonathan Fine, 203 Coldhams Lane, Cambridge CB1 3HY, UK
    or from
    Internet: [email-masked]
    or from
    World-Wide Web server: http://www.tex.ac.uk/UKTUG/home.html

\bye

End of UKTeX Digest [Volume 94 Issue 32]
****************************************